Title: readline.read_history_file problem
Type: behaviour Severity: normal
Components: Versions: Jython 2.7
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dieterv, zyasoft
Priority: Keywords:

Created on 2015-02-07.02:37:28 by dieterv, last changed 2015-02-11.22:11:32 by zyasoft.

msg9497 (view) Author: Dieter Vandenbussche (dieterv) Date: 2015-02-07.02:37:27
Until recently, i was using jython in conjunction with an old, hacked branch of ipython (  But some of the recent changes of readline in jython have introduced some problems with this.  To solve one of them i have added a pull request on github:

The next issue unfortunately is beyond me.  Here's an illustration of the problem created by using jython master from github.
Jython 2.7b4+ (, Feb 6 2015, 21:16:46)
[Java HotSpot(TM) 64-Bit Server VM (Oracle Corporation)] on java1.7.0_51
Type "help", "copyright", "credits" or "license" for more information.
>>> import readline
>>> readline.read_history_file()
Reading history: ~/.history
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/foo/ThirdParty/jython/dist/Lib/", line 70, in read_history_file
    new_history = _reader.getHistory().getClass()()
TypeError: jline.console.history.FileHistory(): expected 1 args; got 0

Thanks for those of you working on jython.  It is incredible useful for a python fan in a java shop.
msg9498 (view) Author: Jim Baker (zyasoft) Date: 2015-02-07.03:23:15
Fixed as of
Date User Action Args
2015-02-11 22:11:32zyasoftsetstatus: pending -> closed
2015-02-07 03:23:15zyasoftsetstatus: open -> pending
resolution: fixed
messages: + msg9498
nosy: + zyasoft
2015-02-07 02:37:28dietervcreate